---
search:
  tags:
    - V1
    - GET
seo:
  description: >-
    Get one scheduled task, including the saved… Reference for the GET
    /v1/projects/{projectId}/scheduled-tasks/{taskId} endpoint in the Judgeval
    API.
sidebar:
  label: Get a scheduled task
  badge: GET
title: Get a scheduled task
type: openapi-operation
---
Get one scheduled task, including the saved instructions used for future runs, its schedule, and its Slack delivery.

`GET /v1/projects/{projectId}/scheduled-tasks/{taskId}`

**Responses**

- `200` — Response for status 200

Response example, 200:

```json
{
  "task": {
    "id": "string",
    "kind": "custom",
    "is_default": true,
    "name": "string",
    "description": "string",
    "instructions": "string",
    "mode": "fast",
    "tool_permission_mode": "auto_require_permission",
    "created_by": "string",
    "created_at": "string",
    "updated_at": "string",
    "schedule": {
      "enabled": true,
      "cadence": {
        "mode": "calendar",
        "frequency": "daily",
        "dayOfWeek": 0,
        "daysOfWeek": [
          0
        ],
        "hour": 0,
        "minute": 0
      },
      "timezone": "string",
      "sync_error": "string"
    },
    "slack_channel_ids": [
      "string"
    ]
  }
}
```
